# This Python file uses the following encoding: iso-8859-1
# ReaderwareAW scraper access methods
#
# Copyright  1999-2007 Readerware Corporation.  All Rights Reserved.

from    java.util import Date

albumObject = None

def setAlbumObject(obj):
    global albumObject

    albumObject = obj


def getTitle():
    global albumObject

    return albumObject.getTitle()

def setTitle(data):
    global albumObject

    albumObject.setTitle(data)


def getArtist():
    global albumObject

    return albumObject.getArtist()

def setArtist(data):
    global albumObject

    albumObject.setArtist(data)

def setArtistPlusSort(name, sort):
    global albumObject

    albumObject.setArtist(name, sort)

def setArtists(artistList):
    if len(artistList) > 0:
        setArtist(artistList[0])

    if len(artistList) > 1:
        setArtist2(artistList[1])

    if len(artistList) > 2:
        setArtist3(artistList[2])

    if len(artistList) > 3:
        setArtist4(artistList[3])

    if len(artistList) > 4:
        setArtist5(artistList[4])

    if len(artistList) > 5:
        setArtist6(artistList[5])


def getArtist2():
    global albumObject

    return albumObject.getArtist2()

def setArtist2(data):
    global albumObject

    albumObject.setArtist2(data)


def getArtist3():
    global albumObject

    return albumObject.getArtist3()

def setArtist3(data):
    global albumObject

    albumObject.setArtist3(data)


def getArtist4():
    global albumObject

    return albumObject.getArtist4()

def setArtist4(data):
    global albumObject

    albumObject.setArtist4(data)


def getArtist5():
    global albumObject

    return albumObject.getArtist5()

def setArtist5(data):
    global albumObject

    albumObject.setArtist5(data)


def getArtist6():
    global albumObject

    return albumObject.getArtist6()

def setArtist6(data):
    global albumObject

    albumObject.setArtist6(data)


def getComposer():
    global albumObject

    return albumObject.getComposer()

def setComposer(data):
    global albumObject

    albumObject.setComposer(data)


def getConductor():
    global albumObject

    return albumObject.getConductor()

def setConductor(data):
    global albumObject

    albumObject.setConductor(data)


def getOrchestra():
    global albumObject

    return albumObject.getOrchestra()

def setOrchestra(data):
    global albumObject

    albumObject.setOrchestra(data)


def getSoloist():
    global albumObject

    return albumObject.getSoloist()

def setSoloist(data):
    global albumObject

    albumObject.setSoloist(data)


def getWork():
    global albumObject

    return albumObject.getWork()

def setWork(data):
    global albumObject

    albumObject.setWork(data)


def getLabel():
    global albumObject

    return albumObject.getLabel()

def setLabel(data):
    global albumObject

    albumObject.setLabel(data)


def getReleaseDate():
    global albumObject

    return albumObject.getReleaseDateStr()

def setReleaseDate(data):
    global albumObject

    albumObject.setReleaseDate(data)


def getCopyrightDate():
    global albumObject

    return albumObject.getCopyrightDateStr()

def setCopyrightDate(data):
    global albumObject

    albumObject.setCopyrightDate(data)


def getRunningTime():
    global albumObject

    return albumObject.getRunningTimeStr()

def setRunningTime(data):
    global albumObject

    albumObject.setRunningTime(data)


def getLanguage():
    global albumObject

    return albumObject.getLanguage()

def setLanguage(data):
    global albumObject

    albumObject.setLanguage(data)


def getCopies():
    global albumObject

    return albumObject.getCopiesStr()

def setCopies(data):
    global albumObject

    albumObject.setCopies(data)


def getBarcode():
    global albumObject

    return albumObject.getBarcode()

def setBarcode(data):
    global albumObject

    albumObject.setBarcode(data)


def getUPC():
    global albumObject

    return albumObject.getUPC()

def setUPC(data):
    global albumObject

    albumObject.setUPC(data)


def getLCCN():
    global albumObject

    return albumObject.getLCCN()

def setLCCN(data):
    global albumObject

    albumObject.setLCCN(data)


def getDewey():
    global albumObject

    return albumObject.getDewey()

def setDewey(data):
    global albumObject

    albumObject.setDewey(data)


def getCallNumber():
    global albumObject

    return albumObject.getCallNumber()

def setCallNumber(data):
    global albumObject

    albumObject.setCallNumber(data)


def getUserNumber():
    global albumObject

    return albumObject.getUserNumber()

def setUserNumber(data):
    global albumObject

    albumObject.setUserNumber(data)


def getType():
    global albumObject

    return albumObject.getType()

def setType(data):
    global albumObject

    albumObject.setType(data)


def getFormat():
    global albumObject

    return albumObject.getFormat()

def setFormat(data):
    global albumObject

    albumObject.setFormat(data)


def getSeries():
    global albumObject

    return albumObject.getSeries()

def setSeries(data):
    global albumObject

    albumObject.setSeries(data)


def getSound():
    global albumObject

    return albumObject.getSound()

def setSound(data):
    global albumObject

    albumObject.setSound(data)


def getMyRating():
    global albumObject

    return albumObject.getMyRating()

def setMyRating(data):
    global albumObject

    albumObject.setMyRating(data)


def getCondition():
    global albumObject

    return albumObject.getCondition()

def setCondition(data):
    global albumObject

    albumObject.setCondition(data)


def getCoverCondition():
    global albumObject

    return albumObject.getCoverCondition()

def setCoverCondition(data):
    global albumObject

    albumObject.setCoverCondition(data)


def getCategory1():
    global albumObject

    return albumObject.getCategory1()

def setCategory1(data):
    global albumObject

    albumObject.setCategory1(data)


def getCategory2():
    global albumObject

    return albumObject.getCategory2()

def setCategory2(data):
    global albumObject

    albumObject.setCategory2(data)


def getCategory3():
    global albumObject

    return albumObject.getCategory3()

def setCategory3(data):
    global albumObject

    albumObject.setCategory3(data)


def getLocation():
    global albumObject

    return albumObject.getLocation()

def setLocation(data):
    global albumObject

    albumObject.setLocation(data)


def getKeywords():
    global albumObject

    return albumObject.getKeywords()

def setKeywords(data):
    global albumObject

    albumObject.setKeywords(data)


def getPlayedCount():
    global albumObject

    return albumObject.getPlayedCountStr()

def setPlayedCount(data):
    global albumObject

    albumObject.setPlayedCount(data)


def getLastPlayedDate():
    global albumObject

    return albumObject.getLastPlayedDateStr()

def setLastPlayedDate(data):
    global albumObject

    albumObject.setLastPlayedDate(data)


def getPlaylist():
    global albumObject

    return albumObject.getPlaylistStr()

def setPlaylist(data):
    global albumObject

    albumObject.setPlaylist(data)


def getProductInfo():
    global albumObject

    return albumObject.getProductInfo()

def setProductInfo(data):
    global albumObject

    albumObject.setProductInfo(data)


def getMyComments():
    global albumObject

    return albumObject.getMyComments()

def setMyComments(data):
    global albumObject

    albumObject.setMyComments(data)


def getSource():
    global albumObject

    return albumObject.getSource()

def setSource(data):
    global albumObject

    albumObject.setSource(data)


def getCatalogNumber():
    global albumObject

    return albumObject.getCatalogNumber()

def setCatalogNumber(data):
    global albumObject

    albumObject.setCatalogNumber(data)


def getRecording():
    global albumObject

    return albumObject.getRecording()

def setRecording(data):
    global albumObject

    albumObject.setRecording(data)


def getRecordingDate():
    global albumObject

    return albumObject.getRecordingDateStr()

def setRecordingDate(data):
    global albumObject

    albumObject.setRecordingDate(data)


def getRecordingPlace():
    global albumObject

    return albumObject.getRecordingPlace()

def setRecordingPlace(data):
    global albumObject

    albumObject.setRecordingPlace(data)


def getPurchasePrice():
    global albumObject

    return albumObject.getPurchasePriceStr()

def setPurchasePrice(data):
    global albumObject

    albumObject.setPurchasePrice(data)


def getPurchaseDate():
    global albumObject

    return albumObject.getPurchaseDateStr()

def setPurchaseDate(data):
    global albumObject

    albumObject.setPurchaseDate(data)


def getPurchasePlace():
    global albumObject

    return albumObject.getPurchasePlace()

def setPurchasePlace(data):
    global albumObject

    albumObject.setPurchasePlace(data)


def getListPrice():
    global albumObject

    return albumObject.getListPriceStr()

def setListPrice(data):
    global albumObject

    albumObject.setListPrice(data)


def getItemValue():
    global albumObject

    return albumObject.getItemValueStr()

def setItemValue(data):
    global albumObject

    albumObject.setItemValue(data)
    albumObject.setValuationDate(Date())


def getValuationDate():
    global albumObject

    return albumObject.getValuationDateStr()

def setValuationDate(data):
    global albumObject

    albumObject.setValuationDate(data)


def getCurrencySymbol():
    global albumObject

    return albumObject.getCurrencySymbol()

def setCurrencySymbol(data):
    global albumObject

    albumObject.setCurrencySymbol(data)


def getFavorite():
    global albumObject

    return albumObject.getFavoriteStr()

def setFavorite(data):
    global albumObject

    albumObject.setFavorite(data)


def getOutOfPrint():
    global albumObject

    return albumObject.getOutOfPrintStr()

def setOutOfPrint(data):
    global albumObject

    albumObject.setOutOfPrint(data)


def getMediaURL():
    global albumObject

    return albumObject.getMediaURL()

def setMediaURL(data):
    global albumObject

    albumObject.setMediaURL(data)


def getOwner():
    global albumObject

    return albumObject.getOwner()

def setOwner(data):
    global albumObject

    albumObject.setOwner(data)


def getStatus():
    global albumObject

    return albumObject.getStatus()

def setStatus(data):
    global albumObject

    albumObject.setStatus(data)


def getExternalID():
    global albumObject

    return albumObject.getExternalID()

def setExternalID(data):
    global albumObject

    albumObject.setExternalID(data)


def getASIN():
    global albumObject

    return albumObject.getASIN()

def setASIN(data):
    global albumObject

    albumObject.setASIN(data)


def getSalePrice():
    global albumObject

    return albumObject.getSalePriceStr()

def setSalePrice(data):
    global albumObject

    albumObject.setSalePrice(data)


def getSaleDate():
    global albumObject

    return albumObject.getSaleDateStr()

def setSaleDate(data):
    global albumObject

    albumObject.setSaleDate(data)


def getNewPrice():
    global albumObject

    return albumObject.getNewPriceStr()

def setNewPrice(data):
    global albumObject

    albumObject.setNewPrice(data)


def getNewCount():
    global albumObject

    return albumObject.getNewCountStr()

def setNewCount(data):
    global albumObject

    albumObject.setNewCount(data)


def getUsedPrice():
    global albumObject

    return albumObject.getUsedPriceStr()

def setUsedPrice(data):
    global albumObject

    albumObject.setUsedPrice(data)


def getUsedCount():
    global albumObject

    return albumObject.getUsedCountStr()

def setUsedCount(data):
    global albumObject

    albumObject.setUsedCount(data)


def getCollectiblePrice():
    global albumObject

    return albumObject.getCollectiblePriceStr()

def setCollectiblePrice(data):
    global albumObject

    albumObject.setCollectiblePrice(data)


def getCollectibleCount():
    global albumObject

    return albumObject.getCollectibleCountStr()

def setCollectibleCount(data):
    global albumObject

    albumObject.setCollectibleCount(data)


def getBuyerWaiting():
    global albumObject

    return albumObject.getBuyerWaitingStr()

def setBuyerWaiting(data):
    global albumObject

    albumObject.setBuyerWaiting(data)


def getWeight():
    global albumObject

    return albumObject.getWeight()

def setWeight(data):
    global albumObject

    albumObject.setWeight(data)


def getSalesRank():
    global albumObject

    return albumObject.getSalesRankStr()

def setSalesRank(data):
    global albumObject

    albumObject.setSalesRank(data)


def getImage1():
    global albumObject

    return albumObject.getLoadedImage1URL()

def setImage1(data):
    global albumObject

    albumObject.loadImage1(data)

def setRefImage1(data, ref):
    global albumObject

    albumObject.loadImage1(data, ref)

def setDiscogsImage1(data):
    global albumObject

    albumObject.loadDiscogsImage1(data)


def getImage2():
    global albumObject

    return albumObject.getLoadedImage2URL()

def setImage2(data):
    global albumObject

    albumObject.loadImage2(data)

def setRefImage2(data, ref):
    global albumObject

    albumObject.loadImage2(data, ref)

def setDiscogsImage2(data):
    global albumObject

    albumObject.loadDiscogsImage2(data)


def getLargeImage1():
    global albumObject

    return albumObject.getLoadedLargeImage1URL()

def setLargeImage1(data):
    global albumObject

    albumObject.loadLargeImage1(data)

def setRefLargeImage1(data, ref):
    global albumObject

    albumObject.loadLargeImage1(data, ref)

def setDiscogsLargeImage1(data):
    global albumObject

    albumObject.loadDiscogsLargeImage1(data)


def getLargeImage2():
    global albumObject

    return albumObject.getLoadedLargeImage2URL()

def setLargeImage2(data):
    global albumObject

    albumObject.loadLargeImage2(data)

def setRefLargeImage2(data, ref):
    global albumObject

    albumObject.loadLargeImage2(data, ref)

def setDiscogsLargeImage2(data):
    global albumObject

    albumObject.loadDiscogsLargeImage2(data)


def getUser1():
    global albumObject

    return albumObject.getUser1()

def setUser1(data):
    global albumObject

    albumObject.setUser1(data)


def getUser2():
    global albumObject

    return albumObject.getUser2()

def setUser2(data):
    global albumObject

    albumObject.setUser2(data)


def getUser3():
    global albumObject

    return albumObject.getUser3()

def setUser3(data):
    global albumObject

    albumObject.setUser3(data)


def getUser4():
    global albumObject

    return albumObject.getUser4()

def setUser4(data):
    global albumObject

    albumObject.setUser4(data)


def getUser5():
    global albumObject

    return albumObject.getUser5()

def setUser5(data):
    global albumObject

    albumObject.setUser5(data)


def getUser6():
    global albumObject

    return albumObject.getUser6()

def setUser6(data):
    global albumObject

    albumObject.setUser6(data)


def getUser7():
    global albumObject

    return albumObject.getUser7()

def setUser7(data):
    global albumObject

    albumObject.setUser7(data)


def getUser8():
    global albumObject

    return albumObject.getUser8()

def setUser8(data):
    global albumObject

    albumObject.setUser8(data)


def getUser9():
    global albumObject

    return albumObject.getUser9()

def setUser9(data):
    global albumObject

    albumObject.setUser9(data)


def getUser10():
    global albumObject

    return albumObject.getUser10()

def setUser10(data):
    global albumObject

    albumObject.setUser10(data)


def setTrack(disk, track, title, artist=None, time=None, songwriter=None, composer=None, conductor=None, orchestra=None, soloist=None, work=None, bonus="false", discogs=None):
    global albumObject

    trackObject = albumObject.getNewTrackObject()

    trackObject.setScraperInput(1)
    trackObject.setDiskID(disk)
    trackObject.setTrackNumber(track)
    trackObject.setTitle(title)
    trackObject.setBonusTrack(bonus)

    if artist != None:
        trackObject.setArtist(artist)

    if time != None:
        trackObject.setRunningTime(time)

    if songwriter != None:
        trackObject.setSongwriter(songwriter)

    if composer != None:
        trackObject.setComposer(composer)

    if conductor != None:
        trackObject.setConductor(conductor)

    if orchestra != None:
        trackObject.setOrchestra(orchestra)

    if soloist != None:
        trackObject.setSoloist(soloist)

    if work != None:
        trackObject.setWork(work)

    if discogs != None:
        trackObject.setDiscogsTrackNumber(discogs)

    albumObject.addTrack(trackObject)


def setAltTrack(disk, track, title, artist=None, time=None, songwriter=None, composer=None, conductor=None, orchestra=None, soloist=None, work=None):
    global albumObject

    trackObject = albumObject.getNewTrackObject()

    trackObject.setScraperInput(1)
    trackObject.setDiskID(disk)
    trackObject.setTrackNumber(track)
    trackObject.setTitle(title)

    if artist != None:
        trackObject.setArtist(artist)

    if time != None:
        trackObject.setRunningTime(time)

    if songwriter != None:
        trackObject.setSongwriter(songwriter)

    if composer != None:
        trackObject.setComposer(composer)

    if conductor != None:
        trackObject.setConductor(conductor)

    if orchestra != None:
        trackObject.setOrchestra(orchestra)

    if soloist != None:
        trackObject.setSoloist(soloist)

    if work != None:
        trackObject.setWork(work)

    albumObject.addAltTrack(trackObject)


def getURL():
    global albumObject

    return albumObject.getURL()


def setURL(data):
    global albumObject

    albumObject.setURL(data)


def getResultCount():
    global albumObject

    return albumObject.getResultCount()


def setResultCount(data):
    global albumObject

    albumObject.setResultCount(data)
    


def getLogsDir():
    global albumObject

    return albumObject.getLogsDir()
    


def getDocsDir():
    global albumObject

    return albumObject.getDocsDir()
